Package net.shibboleth.idp.cli

# Interface CommandLineArguments

All Known Implementing Classes:
  `AbstractCommandLineArguments`, `DumpConfigArguments`, `MetadataQueryArguments`, `ReloadMetadataArguments`, `ReloadServiceArguments`, `ResolverTestArguments`, `StatusArguments`

public interface CommandLineArguments
Interface for JCommander command line argument handling for an HTTP-based remote service call.

## Method Summary

Modifier and Type
Method
Description
`URL`
`buildURL()`
Compute the full URL to connect to.
`String`
`getBasicAuthHeader()`
Builds the HTTP-Basic value to be used in the Authorization -header, containing username and password.
`Map<String,String>`
`getHeaders()`
Values of "header" parameter.
`String`
`getMethod()`
Value of method parameter.
`boolean`
`isUsage()`
Should command usage be displayed?
`void`
`validate()`
Validate the parameter set.

## Method Details

### isUsage

boolean isUsage()
Should command usage be displayed?

Returns:
  true iff this is a help request

### validate

void validate()
Validate the parameter set.

Throws:
  `IllegalArgumentException` - if the parameters are invalid

### buildURL

@Nonnull URL buildURL() throws MalformedURLException
Compute the full URL to connect to.

Returns:
  the URL to connect to
Throws:
  `MalformedURLException` - if the URL constructed is invalid

### getBasicAuthHeader

@Nullable @NotEmpty String getBasicAuthHeader()
Builds the HTTP-Basic value to be used in the Authorization -header, containing username and password.

Returns:
  The value to be used in the Authorization -header, or null if username or password didn't have a value.
Since:
  4.2.0

### getHeaders

@Nullable @NotLive @Unmodifiable Map<String,String> getHeaders()
Values of "header" parameter.

Returns:
  header parameter
Since:
  4.2.0

### getMethod

@Nullable @NotEmpty String getMethod()
Value of method parameter.

Returns:
  HTTP method
Since:
  4.2.0